
#
# Patch managed by http://www.holgerschurig.de/patcher.html
#

--- portmap_5beta/Makefile~make.patch
+++ portmap_5beta/Makefile
@@ -105,6 +105,13 @@
 #
 #CONST   = -Dconst=
 
+DESTDIR =
+prefix = /usr
+sbindir = /sbin
+datadir = $(prefix)/share
+mandir = $(datadir)/man
+docdir = $(datadir)/doc/portmap
+
 ### End of configurable stuff.
 ##############################
 
@@ -122,35 +129,38 @@
 COPT	= $(CONST) $(HOSTS_ACCESS) $(CHECK_PORT) \
 	$(SYS) -DFACILITY=$(FACILITY) $(ULONG) $(ZOMBIES) $(SA_LEN) \
 	$(LOOPBACK) $(SETPGRP)
-CFLAGS	= -Wall $(COPT) -O2 $(NSARCHS)
+CFLAGS	= -Wall -O2 $(NSARCHS)
 OBJECTS	= portmap.o pmap_check.o from_local.o $(AUX)
 
 all:	portmap pmap_dump pmap_set
 
 portmap: $(OBJECTS) # $(WRAP_DIR)/libwrap.a
-	$(CC) $(CFLAGS) -o $@ $(OBJECTS) $(WRAP_LIB) $(LIBS)
+	$(CC) $(LDFLAGS) -o $@ $(OBJECTS) $(WRAP_LIB) $(LIBS)
 
-pmap_dump: pmap_dump.c
-	$(CC) $(CFLAGS) -o $@ $? $(LIBS)
+pmap_dump: pmap_dump.o
+	$(CC) $(LDFLAGS) -o $@ $? $(LIBS)
 
-pmap_set: pmap_set.c
-	$(CC) $(CFLAGS) -o $@ $? $(LIBS)
+pmap_set: pmap_set.o
+	$(CC) $(LDFLAGS) -o $@ $? $(LIBS)
 
 from_local: from_local.c
-	cc $(CFLAGS) -DTEST -o $@ from_local.c
+	$(CC) $(COPT) -DTEST $(CFLAGS) $(LDFLAGS) -o $@ from_local.c
 
 get_myaddress: get_myaddress.c
-	cc $(CFLAGS) -DTEST -o $@ get_myaddress.c $(LIBS)
+	$(CC) $(COPT) -DTEST $(CFLAGS) $(LDFLAGS) -o $@ get_myaddress.c $(LIBS)
 
 install: all
-	install -o root -g root -m 0755 -s portmap ${BASEDIR}/sbin
-	install -o root -g root -m 0755 -s pmap_dump ${BASEDIR}/sbin
-	install -o root -g root -m 0755 -s pmap_set ${BASEDIR}/sbin
-	install -o root -g root -m 0644 portmap.8 ${BASEDIR}/usr/share/man/man8
-	install -o root -g root -m 0644 pmap_dump.8 ${BASEDIR}/usr/share/man/man8
-	install -o root -g root -m 0644 pmap_set.8 ${BASEDIR}/usr/share/man/man8
-	cat BLURB >${BASEDIR}/usr/share/doc/portmap/portmapper.txt
-	gzip -9f ${BASEDIR}/usr/share/doc/portmap/portmapper.txt
+	install -d $(DESTDIR)/$(sbindir) \
+		   $(DESTDIR)/$(docdir) \
+		   $(DESTDIR)/$(mandir)/man8
+	install -m 0755 portmap $(DESTDIR)/$(sbindir)
+	install -m 0755 pmap_dump $(DESTDIR)/$(sbindir)
+	install -m 0755 pmap_set $(DESTDIR)/$(sbindir)
+	install -m 0644 portmap.8 $(DESTDIR)/$(mandir)/man8
+	install -m 0644 pmap_dump.8 $(DESTDIR)/$(mandir)/man8
+	install -m 0644 pmap_set.8 $(DESTDIR)/$(mandir)/man8
+	cat BLURB >$(DESTDIR)/$(docdir)/portmapper.txt
+	gzip -9f $(DESTDIR)/$(docdir)/portmapper.txt
 
 
 lint:	
@@ -176,3 +186,6 @@
 portmap.o: portmap.c
 portmap.o: pmap_check.h Makefile
 strerror.o: strerror.c
+
+%.o: %.c
+	$(CC) $(COPT) $(CFLAGS) $(CPPFLAGS) $(TARGET_ARCH) -c $*.c -o $*.o
